import javax.swing.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

public class ColorChooser extends JFrame {
    JColorChooser colorChooser = new JColorChooser();
    View v;

    public ColorChooser(View v){
        super("Color Chooser");
        this.v = v;
        this.add(colorChooser);
        this.setSize(300,300);
        this.setVisible(true);
        setOnClickListener();
    }

    private void setOnClickListener() {
        colorChooser.getSelectionModel().addChangeListener(new ChangeListener() {
            @Override
            public void stateChanged(ChangeEvent e) {
                v.notifyColorChange(colorChooser.getColor());
            }
        });
    }
}
